# Detach webhook

`DELETE https://app.shuttleglobal.com/c/api/instances/{instance_key}/webhooks/{id}`

Removes the URL with this `id` from the instance's `webhook_target`. The `id` is the one returned when you attached the URL.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | yes | The webhook `id` returned by [Attach webhook](/platforms/reference/instance-webhooks/operations/attachwebhook/) |

## Responses

### 204: Webhook successfully detached

### 401: Authentication required

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

## Example request

```sh
curl --request DELETE \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/webhooks/ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/instance-webhooks/operations/detachwebhook/